Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453590 - Zoneminder package should have perl(:MODULE_COMPAT...) dependency
Summary: Zoneminder package should have perl(:MODULE_COMPAT...) dependency
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: zoneminder
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Martin Ebourne
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F9_5.10_REBUILD
TreeView+ depends on / blocked
 
Reported: 2008-07-01 14:10 UTC by Paul Howarth
Modified: 2008-07-07 10:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-02 20:38:16 UTC


Attachments (Terms of Use)

Description Paul Howarth 2008-07-01 14:10:28 UTC
The original F-9 package of zoneminder had modules in "perl 5.8.8" paths,
which were not found by F-9's perl 5.10.0. The fix for Bug #441315 was built
against perl 5.10.0, which resolved the immediate problem.

There was a mass rebuild of perl packages late in the F-9 development period but
this package missed out on it, possibly because it is missing a perl version
"module compat" dependency and hence didn't have broken deps when perl was
upgraded to 5.10.0. Any package that includes perl modules in the
%{perl_vendorlib} or %{perl_vendorarch} directories (which are versioned by perl
version number) should have the following "Requires" tag added so that such
dependencies are properly flagged in future:

Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Comment 1 Martin Ebourne 2008-07-02 20:38:16 UTC
Good spot, thanks.


Note You need to log in before you can comment on or make changes to this bug.